Subject: Re: [core] 🔔 WG Last Call of CORECONF drafts: draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01

From: Andy Bierman <[email-masked]>
Date: Mon, 6 Apr 2020 08:29:58 -0700

On Mon, Mar 9, 2020 at 6:05 AM Carsten Bormann <[email-masked]> wrote:

> It took us a long time to get the four CORECONF drafts in sync,
> but now we are ready for WGLC.
>
> This starts a working group last call for
> — draft-ietf-core-yang-cbor-12
> — draft-ietf-core-sid-11
> — draft-ietf-core-comi-09
> — draft-ietf-core-yang-library-01
>
>

Sorry these comments are late.

I reviewed these drafts.
All my comments on sid-11 have been addressed.
We plan to use CBOR+SID with YANG-Push in the near future
and may implement CoMI later on.
I believe all documents are ready for publication.

Andy

> ending on
>
>         24:00 UTC on Tuesday, March 31, 2020.
>
> (This includes some extra time for the IETF week and for cross-WG
> coordination.)
>
> This WGLC is copied to the netmod WG mailing list; please do have a look
> at these drafts as they are slated to become a part of the greater
> YANG/NETCONF/RESTCONF family.  We intend the discussion to be on the
> CoRE mailing list, but if you find a fundamental issue with YANG or
> RESTCONF, feel free to discuss that on netmod instead.
>
> Please start a new email thread for each major issue that will need
> discussion and make sure the subject line includes the draft name and
> some sort of name for the issue.  (Minor issues such as typos can also
> be sent to the authors.)
>
> If you read the draft and think it looks fine, please send a one line
> email to the list or to the chairs letting us know that so we can get
> a feel of how broad the review has been.
>
> (To reviewers and authors:)  If you are aware of any patent claims that
> might apply to systems that implement these drafts, please review BCP 78
> and BCP 79 and make any appropriate IPR declaration before the last-call
> ends. If you are not sure whether you need to make a declaration or not,
> please talk to the chairs and we will help.
>
> Grüße, Carsten
>
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
>

---

From: Ivaylo Petrov <[email-masked]>
Date: Tue, 7 Apr 2020 08:22:05 +0200

Hello Peter,

Thank you for your reviews and your comments!

It is true that currently we mandate each SID mega range to have 1000000
SIDs in 6.1 and the size in 6.2 is not strictly speaking necessary. I
believe the idea of having this information is so that any software that is
written today to work with this registry has all the necessary information
inside the registry. If in the future we decide to change this limit to
500K or 5M this software can remain intact. If this is a big concern for
you, do not hesitate to let us know and we will discuss further.

Best regards,
Ivaylo

On Tue, Mar 31, 2020 at 2:16 PM Peter van der Stok <[email-masked]>
wrote:

> Dear all,
>
> I have reread draft-ietf-core-yang-sid.
> I am quite happy that this document enters its final processing stage.
> The document satisfies our wishes expressed earlier.
>
> One small point:
> In section 6.2.2 the size seems superfluous as all ranges have the same
> size.
>
> Greetings,
>
> Peter

---

From: Ivaylo Petrov <[email-masked]>
Date: Wed, 8 Apr 2020 14:06:59 +0200

Hello Tom,

Thank you for your review and your comments! They were indeed very helpful.
I will try to spend some more time making sure we follow the
recommendations from RFC8407, but for now please find my answers below
(prefixed with [IP]). Note that the diff after handing your comments can be
found at [1] for the txt file diff and [2] for the raw Markdown diff.

Best regards,
Ivaylo

[1]:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-yang-library&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-yang-library-latest.txt
[2]:
https://github.com/core-wg/yang-cbor/commit/2aa29f2468c827fd4b58cad6a5decba795d9c767

On Mon, Mar 30, 2020 at 12:11 PM tom petch <[email-masked]> wrote:

> There is quite a lot wrong with the admin of the YANG-library I-D when
> compared with RFC8407 IMHO
>
> Security considerations does not conform to boiler plate
>

[IP]: Adding the following text in the beginning of the security
considerations will make it follow the same structure as RFC7895. Would
that be acceptable for you?

The YANG module defined in this memo is designed to be accessed via CORECONF
{{-comi}}, NETCONF {{RFC6241}} or RESTCONF {{RFC8040}}. Depending on the
used
protocol, the security considerations of some or all of those will apply.

> IANA considerations does not register name space
>

[IP]: I added such registration. Please let me know if it looks fine. The
relevant text is:

## YANG Namespace Registration

This document registers the following XML namespace URN in the "IETF XML
Registry", following the format defined in {{RFC3688}}:

URI: please assign urn:ietf:params:xml:ns:yang:ietf-constrained-yang-library

Registrant Contact: The IESG.

XML: N/A, the requested URI is an XML namespace.

> RFC 6991  is imported and so MUST be a Normative reference
>

[IP]: Fixed

> ietf-sid-file is imported and so MUST be a Normative  not Informative
> reference for the I-D
>

[IP]: Fixed

reference ietf-core-sid would be better as RFC YYYY with an RFC Editor note
> asking them to replace YYYY with the number assigned to 'YANG Schema ...
>

[IP]: Fixed

> Organization Netconf WG seems an odd choice and contradicts contact details
>

[IP]: Changed to CoRE WG

> Contact does not normally specify WG Chairs
>
>
[IP]: I removed the chairs and left only the group and the editors. Is that
what you had in mind?

more than one revision clause

[IP]: Fixed

> CORECONF not an abbreviation I recognise
>

[IP]: We have received other comments related to this. We will discuss them
during the meeting today and try to clarify this.

> I will look some more as and when these are addressed (or I see IETF Last
> Call:-)
>
> Tom Petch
> ________________________________________
> From: netmod <[email-masked]> on behalf of Carsten Bormann <
> [email-masked]>
> Sent: 09 March 2020 13:04
> To: core
> Cc: [email-masked]
> Subject: [netmod] 🔔 WG Last Call of CORECONF drafts:
> draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01
>
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: tom petch <[email-masked]>
Date: Thu, 9 Apr 2020 08:47:15 +0000

From: Ivaylo Petrov <[email-masked]>
Sent: 08 April 2020 13:06
Hello Tom,

Thank you for your review and your comments! They were indeed very helpful. I will try to spend some more time making sure we follow the recommendations from RFC8407, but for now please find my answers below (prefixed with [IP]). Note that the diff after handing your comments can be found at [1] for the txt file diff and [2] for the raw Markdown diff.

<TP>
I like your initials!

On Security, no, RFC8407 requires you to use the boilerplate from the wiki; except that you cannot since you must reference CORECONF but I think that you must use the boiler plate with minimal change ie just adding the reference to CORECONF.  The Security in RFC7895 is out of date, no RESTCONF.

Otherwise, looks ok and I will look again when a new I-D appears - I do like the plain text I-D format as a way of working:-)

tom petch

Best regards,
Ivaylo

[1]: https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-yang-library&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-yang-library-latest.txt
[2]: https://github.com/core-wg/yang-cbor/commit/2aa29f2468c827fd4b58cad6a5decba795d9c767

On Mon, Mar 30, 2020 at 12:11 PM tom petch <[email-masked]<mailto:[email-masked]>> wrote:
There is quite a lot wrong with the admin of the YANG-library I-D when compared with RFC8407 IMHO

[IP]: Adding the following text in the beginning of the security considerations will make it follow the same structure as RFC7895. Would that be acceptable for you?

The YANG module defined in this memo is designed to be accessed via CORECONF
{{-comi}}, NETCONF {{RFC6241}} or RESTCONF {{RFC8040}}. Depending on the used
protocol, the security considerations of some or all of those will apply.

[IP]: I added such registration. Please let me know if it looks fine. The relevant text is:

[IP]: Fixed

ietf-sid-file is imported and so MUST be a Normative  not Informative reference for the I-D

[IP]: Fixed

reference ietf-core-sid would be better as RFC YYYY with an RFC Editor note asking them to replace YYYY with the number assigned to 'YANG Schema ...

[IP]: Fixed

[IP]: Changed to CoRE WG

[IP]: I removed the chairs and left only the group and the editors. Is that what you had in mind?

[IP]: Fixed

[IP]: We have received other comments related to this. We will discuss them during the meeting today and try to clarify this.

I will look some more as and when these are addressed (or I see IETF Last Call:-)

Tom Petch
________________________________________
From: netmod <[email-masked]<mailto:[email-masked]>> on behalf of Carsten Bormann <[email-masked]<mailto:[email-masked]>>
Sent: 09 March 2020 13:04
To: core
Cc: [email-masked]<mailto:[email-masked]>
Subject: [netmod] 🔔 WG Last Call of CORECONF drafts: draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01

ending on

Grüße, Carsten

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod
_______________________________________________
core mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/core

---

From: Ivaylo Petrov <[email-masked]>
Date: Sun, 12 Apr 2020 19:22:46 +0200

Hello Tom,

Thank you for the additional details! I updated the security considerations
and the link [1] can still be used for the diff between version -01 of the
draft and our current version. If there are no new comments in the next few
days, I intend to submit a new revision of the draft.

Best regards,
Ivaylo

[1]:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-yang-library&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-yang-library-latest.txt.

On Thu, Apr 9, 2020 at 10:47 AM tom petch <[email-masked]> wrote:

> Thank you for your review and your comments! They were indeed very
> helpful. I will try to spend some more time making sure we follow the
> On Security, no, RFC8407 requires you to use the boilerplate from the
> wiki; except that you cannot since you must reference CORECONF but I think
> that you must use the boiler plate with minimal change ie just adding the
> reference to CORECONF.  The Security in RFC7895 is out of date, no RESTCONF.
>
> Otherwise, looks ok and I will look again when a new I-D appears - I do
> like the plain text I-D format as a way of working:-)
>
> tom petch
>
> Best regards,
> Ivaylo
>
> [1]:
> URI: please assign
> urn:ietf:params:xml:ns:yang:ietf-constrained-yang-library
>
> reference ietf-core-sid would be better as RFC YYYY with an RFC Editor
> note asking them to replace YYYY with the number assigned to 'YANG Schema
> ...
>
> [IP]: Fixed
>
> [IP]: We have received other comments related to this. We will discuss
> them during the meeting today and try to clarify this.
>
> From: netmod <[email-masked]<mailto:[email-masked]>> on
> behalf of Carsten Bormann <[email-masked]<mailto:[email-masked]>>

---

From: Ivaylo Petrov <[email-masked]>
Date: Wed, 15 Apr 2020 15:26:10 +0200

Hello Tom,

Thank you for your review and your comments! They truly help us improve
this document. Please find my answers below (prefixed with [IP]). Note that
the diff after handing your comments and those of Esko Dijk and Juergen
Schoenwaelder can be found at [1].

Best regards,
Ivaylo

[1]:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-sid&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-sid-latest.txt

On Mon, Mar 30, 2020 at 1:16 PM tom petch <[email-masked]> wrote:

> Some YANG admin for core-sid
>
> import must have a reference clause
>

[IP]: Fixed.

such reference must be Normative References for the I-D

[IP]: Fixed.

no RFC Editor note to update the date (I know, they will fix that :-)

[IP]: Fixed.

contact lacks e-mail of WG

[IP]: Fixed.

> IANA Considerations fails to register namespace
>

[IP]: Fixed.

IANA Considerations does not specify a Group name; a well-chosen group name
> makes a registry easy to find.  Many if not most of the existing Group
> names are not well-chosen.  Please choose with care. e.g. is this for
> constrained devices or for all; is it specific to YANG and will there be
> other uses? ....
>

[IP]: That is a very good point. I am not sure how it is supposed to work -
IANA will ask us about the group name when they create the registries or
there is some text that we can write to request this. I will follow with a
question to the working group with a few options for possible group names.

Tom Petch